Create multiple app resources for an app instance in a single request.
cURL
curl --request POST \ --url https://public.api.serval.com/v2/app-resources/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "appInstanceId": "<string>", "resources": [ { "resourceType": "<string>", "name": "<string>", "description": "<string>", "externalId": "<string>" } ] } '
{ "data": [ { "id": "<string>", "appInstanceId": "<string>", "resourceType": "<string>", "name": "<string>", "description": "<string>", "externalId": "<string>" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The ID of the app instance to create resources under.
The resources to create.
Show child attributes
Success
The created resources.
Was this page helpful?